/*
Include CSS in HTML
1. Inline Styling 
2. Internal Styling
3. External CSS (recommended)
*/

/*CSS Selectors */

/* Universal Selector (*) = target all elements*/

*{
	font-family: "Courier New", monospace;
	font-size: 20px;
}

body {
	background-color: skyblue;
}

html {
	scroll-behavior: smooth;
}

nav {
	background-color: white;
}

/*selector:  hover (pseudo class)*/
/*changes the style when hovered over*/
a:hover {
	background-color: #b4d6de;
}

div {
	display: inline-block;
	/*converts div into inline*/
	float: right;
	/*changes horizontal alignment*/
}

/* Type selector (<tagname>)= targets elements with the
  specified type or tag name*/

h1{
	color: black !important;
	text-align: center;
	font-size: 2rem;
}
/*!important property override CSS styling*/
/* num x default size of root element = rem
   2rem x 20px = 40px */

/*rem adjusts to the screensize while px doesn't*/

section{
	height: 100vh;
	text-align: center;
}

/*vh - viewport height. takes the height of the viewing screen*/
/*vw - viewport width*/

h2{
	font-size: 1.5rem;
}

ol{
	list-style-type: none;
}


/*id Selector (#id-name)= targets elements according to its id attribute; 
ideally used for targeting a unique element*/

#zuitt-motto{
	letter-spacing: 5px;
}

/*Class selector (.class-name)= targets elements according to its class attribute;
ideally used for multiple elements at once*/

.offering-item{
	text-transform: uppercase;
}

/*Attribute selector (tagname[attribute]) = target elements with a specified element attribute;
used to target elements with a certain attribute */

input[required]{
	border-width: 2px;
	border-style: solid;
	border-color: blue;
	width: 90%;
}

/*Adjacent Sibling Selector*/
h3 + img{
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant Selector*/

#bootcamp-learning-list li {
	color:  green;
}

/*General Sibling Selector*/
h2 ~ a{
	text-decoration: none;

}

form{
	text-align: center;
	background-color: white;
	border: 2px solid black;
	width: 25vw;
	height: 185px;
	position: relative;
	left: 37.5%;
}


/*Child Selector*/
section > form > label {
			color: rgb(0, 0, 128);

			/*RGB values refer to Red, Green, Blue
			minimum=0
			maximum=255*/
}

button{
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}

/*CSS Selector Combinators*/
/*Descendant Selector (white space) - matched all elements that are descendants of a specified element*/
/*EXAMPLE:  
div p{
	background-color: red;
}*/

/*#parent p{
	background-color: red;
}
*/

/*Child Selector (>) - select all elements that are direct children of a specified element*/
/*div > p{
	background-color: red;
}
*/

/*#parent > p{
	background-color: red;
}*/

/*General Sibling Selector (~) - select all elements that are next siblings of a specified element*/

/*p ~ p{
	background-color: red;
}*/

/*p ~ section{
	background-color: red;
}*/


/*Adjacent Sibling Selector (+) - select an element that is directly after another specific element*/
/*
p+p{
	background-color: red;
}*/

/*div + p{
	background-color: red;
}
*/
